package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 学生缴费订单表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("student_payment_order")
public class StudentPaymentOrder extends Model<StudentPaymentOrder> {

    private static final long serialVersionUID = 1L;

    @TableId("id_")
    private Long id;
    @TableField("user_id_")
    private Integer userId;
    /**
     * 订单类型(报名、续费、小课购买、其他)
     */
    @TableField("type_")
    private String type;
    /**
     * 预计金额
     */
    @TableField("expect_amount_")
    private BigDecimal expectAmount;
    /**
     * 实际金额
     */
    @TableField("actual_amount_")
    private BigDecimal actualAmount;
    /**
     * 交易流水号
     */
    @TableField("trans_no_")
    private String transNo;
    /**
     * 交易状态
     */
    @TableField("status_")
    private String status;
    /**
     * 备注
     */
    @TableField("memo_")
    private String memo;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;
    /**
     * 付款渠道
     */
    @TableField("payment_channel_")
    private String paymentChannel;
    /**
     * 业务渠道
     */
    @TableField("payment_business_channel_")
    private String paymentBusinessChannel;
    /**
     * 付款账户
     */
    @TableField("payment_account_no_")
    private String paymentAccountNo;
    /**
     * 订单号
     */
    @TableField("order_no_")
    private String orderNo;
    @TableField("music_group_id_")
    private String musicGroupId;
    @TableField("class_group_id_")
    private Integer classGroupId;


    public Long getId() {
        return id;
    }

    public StudentPaymentOrder setId(Long id) {
        this.id = id;
        return this;
    }

    public Integer getUserId() {
        return userId;
    }

    public StudentPaymentOrder setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public String getType() {
        return type;
    }

    public StudentPaymentOrder setType(String type) {
        this.type = type;
        return this;
    }

    public BigDecimal getExpectAmount() {
        return expectAmount;
    }

    public StudentPaymentOrder setExpectAmount(BigDecimal expectAmount) {
        this.expectAmount = expectAmount;
        return this;
    }

    public BigDecimal getActualAmount() {
        return actualAmount;
    }

    public StudentPaymentOrder setActualAmount(BigDecimal actualAmount) {
        this.actualAmount = actualAmount;
        return this;
    }

    public String getTransNo() {
        return transNo;
    }

    public StudentPaymentOrder setTransNo(String transNo) {
        this.transNo = transNo;
        return this;
    }

    public String getStatus() {
        return status;
    }

    public StudentPaymentOrder setStatus(String status) {
        this.status = status;
        return this;
    }

    public String getMemo() {
        return memo;
    }

    public StudentPaymentOrder setMemo(String memo) {
        this.memo = memo;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public StudentPaymentOrder setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public StudentPaymentOrder setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getPaymentChannel() {
        return paymentChannel;
    }

    public StudentPaymentOrder setPaymentChannel(String paymentChannel) {
        this.paymentChannel = paymentChannel;
        return this;
    }

    public String getPaymentBusinessChannel() {
        return paymentBusinessChannel;
    }

    public StudentPaymentOrder setPaymentBusinessChannel(String paymentBusinessChannel) {
        this.paymentBusinessChannel = paymentBusinessChannel;
        return this;
    }

    public String getPaymentAccountNo() {
        return paymentAccountNo;
    }

    public StudentPaymentOrder setPaymentAccountNo(String paymentAccountNo) {
        this.paymentAccountNo = paymentAccountNo;
        return this;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public StudentPaymentOrder setOrderNo(String orderNo) {
        this.orderNo = orderNo;
        return this;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public StudentPaymentOrder setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
        return this;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public StudentPaymentOrder setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "StudentPaymentOrder{" +
        ", id=" + id +
        ", userId=" + userId +
        ", type=" + type +
        ", expectAmount=" + expectAmount +
        ", actualAmount=" + actualAmount +
        ", transNo=" + transNo +
        ", status=" + status +
        ", memo=" + memo +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", paymentChannel=" + paymentChannel +
        ", paymentBusinessChannel=" + paymentBusinessChannel +
        ", paymentAccountNo=" + paymentAccountNo +
        ", orderNo=" + orderNo +
        ", musicGroupId=" + musicGroupId +
        ", classGroupId=" + classGroupId +
        "}";
    }
}
